Index: modules/m_gline.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_gline.c,v
retrieving revision 1.141.2.1
diff -b -u -r1.141.2.1 m_gline.c
--- modules/m_gline.c	3 Aug 2004 20:39:47 -0000	1.141.2.1
+++ modules/m_gline.c	19 Aug 2004 22:16:18 -0000
@@ -63,6 +63,7 @@
 };
 
 mapi_clist_av1 gline_clist[] = { &gline_msgtab, &ungline_msgtab, NULL };
+
 DECLARE_MODULE_AV1(gline, NULL, NULL, gline_clist, NULL, NULL, "$Revision: 1.141.2.1 $");
 
 static int majority_gline(struct Client *source_p, const char *user,
@@ -93,15 +94,13 @@
 
 	if(!ConfigFileEntry.glines)
 	{
-		sendto_one(source_p, ":%s NOTICE %s :GLINE disabled",
-			   me.name, source_p->name);
+		sendto_one(source_p, ":%s NOTICE %s :GLINE disabled", me.name, source_p->name);
 		return 0;
 	}
 
 	if(!IsOperGline(source_p))
 	{
-		sendto_one(source_p, form_str(ERR_NOPRIVS),
-			   me.name, source_p->name, "gline");
+		sendto_one(source_p, form_str(ERR_NOPRIVS), me.name, source_p->name, "gline");
 		return 0;
 	}
 
@@ -124,8 +123,7 @@
 		if(strchr(parv[1], '.') == NULL)
 		{
 			sendto_one(source_p,
-				   ":%s NOTICE %s :Invalid parameters",
-				   me.name, source_p->name);
+				   ":%s NOTICE %s :Invalid parameters", me.name, source_p->name);
 			return 0;
 		}
 
@@ -145,8 +143,7 @@
 			sendto_one(source_p,
 				   ":%s NOTICE %s :Please include at least %d non-wildcard "
 				   "characters with the user@host",
-				   me.name, source_p->name, 
-				   ConfigFileEntry.min_nonwildcard);
+				   me.name, source_p->name, ConfigFileEntry.min_nonwildcard);
 		return 0;
 	}
 
@@ -160,18 +157,18 @@
 		{
 			if(bitlen < ConfigFileEntry.gline_min_cidr)
 			{
-				sendto_one(source_p, ":%s NOTICE %s :Cannot set G-Lines with cidr length < %d",
-					   me.name, source_p->name,
-					   ConfigFileEntry.gline_min_cidr);
+				sendto_one(source_p,
+					   ":%s NOTICE %s :Cannot set G-Lines with cidr length < %d",
+					   me.name, source_p->name, ConfigFileEntry.gline_min_cidr);
 				return 0;
 			}
 		}
 		/* ipv6 */
 		else if(bitlen < ConfigFileEntry.gline_min_cidr6)
 		{
-			sendto_one(source_p, ":%s NOTICE %s :Cannot set G-Lines with cidr length < %d",
-				   me.name, source_p->name, 
-				   ConfigFileEntry.gline_min_cidr6);
+			sendto_one(source_p,
+				   ":%s NOTICE %s :Cannot set G-Lines with cidr length < %d",
+				   me.name, source_p->name, ConfigFileEntry.gline_min_cidr6);
 			return 0;
 		}
 	}
@@ -191,27 +188,23 @@
 	majority_gline(source_p, user, host, reason);
 
 	/* 4 param version for hyb-7 servers */
-	sendto_server(NULL, NULL, CAP_GLN|CAP_TS6, NOCAPS,
-			":%s GLINE %s %s :%s", 
-			use_id(source_p), user, host, reason);
+	sendto_server(NULL, NULL, CAP_GLN | CAP_TS6, NOCAPS,
+		      ":%s GLINE %s %s :%s", use_id(source_p), user, host, reason);
 	sendto_server(NULL, NULL, CAP_GLN, CAP_TS6,
-			":%s GLINE %s %s :%s", 
-			source_p->name, user, host, reason);
+		      ":%s GLINE %s %s :%s", source_p->name, user, host, reason);
 
 	/* 8 param for hyb-6 */
 	sendto_server(NULL, NULL, NOCAPS, CAP_GLN,
 			":%s GLINE %s %s %s %s %s %s :%s",
 			me.name, source_p->name, source_p->username,
-			source_p->host, source_p->user->server, 
-			user, host, reason);
+		      source_p->host, source_p->user->server, user, host, reason);
 	return 0;
 }
 
 /* mc_gline()
  */
 static int
-mc_gline(struct Client *client_p, struct Client *source_p,
-	 int parc, const char *parv[])
+mc_gline(struct Client *client_p, struct Client *source_p, int parc, const char *parv[])
 {
 	struct Client *acptr;
 	const char *user;
@@ -228,17 +221,14 @@
 	if(invalid_gline(acptr, user, host, reason))
 		return 0;
 
-	sendto_server(client_p, NULL, CAP_GLN|CAP_TS6, NOCAPS,
-		      ":%s GLINE %s %s :%s",
-		      use_id(acptr), user, host, reason);
+	sendto_server(client_p, NULL, CAP_GLN | CAP_TS6, NOCAPS,
+		      ":%s GLINE %s %s :%s", use_id(acptr), user, host, reason);
 	sendto_server(client_p, NULL, CAP_GLN, CAP_TS6,
-		      ":%s GLINE %s %s :%s",
-		      acptr->name, user, host, reason);
+		      ":%s GLINE %s %s :%s", acptr->name, user, host, reason);
 	sendto_server(client_p, NULL, NOCAPS, CAP_GLN,
 		      ":%s GLINE %s %s %s %s %s %s :%s",
 		      acptr->user->server, acptr->name, 
-		      acptr->username, acptr->host,
-		      acptr->user->server, user, host, reason);
+		      acptr->username, acptr->host, acptr->user->server, user, host, reason);
 
 	if(!ConfigFileEntry.glines)
 		return 0;
@@ -251,8 +241,7 @@
 				"%d non-wildcard characters for [%s@%s] [%s]",
 				acptr->name, acptr->username, 
 				acptr->host, acptr->user->server,
-				ConfigFileEntry.min_nonwildcard,
-				user, host, reason);
+				     ConfigFileEntry.min_nonwildcard, user, host, reason);
 		return 0;
 	}
 
@@ -266,12 +255,13 @@
 		{
 			if(bitlen < ConfigFileEntry.gline_min_cidr)
 			{
-				sendto_realops_flags(UMODE_ALL, L_ALL, "%s!%s@%s on %s is requesting a "
+				sendto_realops_flags(UMODE_ALL, L_ALL,
+						     "%s!%s@%s on %s is requesting a "
 						     "gline with a cidr mask < %d for [%s@%s] [%s]",
 						     acptr->name, acptr->username, acptr->host,
 						     acptr->user->server,
-						     ConfigFileEntry.gline_min_cidr, 
-						     user, host, reason);
+						     ConfigFileEntry.gline_min_cidr, user, host,
+						     reason);
 				return 0;
 			}
 		}
@@ -282,8 +272,7 @@
 					     "gline with a cidr mask < %d for [%s@%s] [%s]",
 					     acptr->name, acptr->username, acptr->host,
 					     acptr->user->server,
-					     ConfigFileEntry.gline_min_cidr6,
-					     user, host, reason);
+					     ConfigFileEntry.gline_min_cidr6, user, host, reason);
 			return 0;
 		}
 	}
@@ -336,17 +325,14 @@
 	if(invalid_gline(acptr, user, host, reason))
 		return 0;
 
-	sendto_server(client_p, NULL, CAP_GLN|CAP_TS6, NOCAPS,
-		      ":%s GLINE %s %s :%s",
-		      use_id(acptr), user, host, reason);
+	sendto_server(client_p, NULL, CAP_GLN | CAP_TS6, NOCAPS,
+		      ":%s GLINE %s %s :%s", use_id(acptr), user, host, reason);
 	sendto_server(client_p, NULL, CAP_GLN, CAP_TS6,
-		      ":%s GLINE %s %s :%s",
-		      acptr->name, user, host, reason);
+		      ":%s GLINE %s %s :%s", acptr->name, user, host, reason);
 	sendto_server(client_p, NULL, NOCAPS, CAP_GLN,
 		      ":%s GLINE %s %s %s %s %s %s :%s",
 		      acptr->user->server, acptr->name, 
-		      acptr->username, acptr->host,
-		      acptr->user->server, user, host, reason);
+		      acptr->username, acptr->host, acptr->user->server, user, host, reason);
 
 	if(!ConfigFileEntry.glines)
 		return 0;
@@ -359,8 +345,7 @@
 				"%d non-wildcard characters for [%s@%s] [%s]",
 				acptr->name, acptr->username, 
 				acptr->host, acptr->user->server,
-				ConfigFileEntry.min_nonwildcard,
-				user, host, reason);
+				     ConfigFileEntry.min_nonwildcard, user, host, reason);
 		return 0;
 	}
 
@@ -370,8 +355,7 @@
 			acptr->user->server, user, host, reason);
 
 	ilog(L_GLINE, "R %s %s %s %s %s %s %s",
-	     acptr->name, acptr->username, acptr->host, 
-	     acptr->user->server, user, host, reason);
+	     acptr->name, acptr->username, acptr->host, acptr->user->server, user, host, reason);
 
 	/* If at least 3 opers agree this user should be G lined then do it */
 	majority_gline(acptr, user, host, reason);
@@ -400,8 +384,7 @@
 
 	if(!IsOperUnkline(source_p) || !IsOperGline(source_p))
 	{
-		sendto_one(source_p, form_str(ERR_NOPRIVS),
-			   me.name, source_p->name, "unkline");
+		sendto_one(source_p, form_str(ERR_NOPRIVS), me.name, source_p->name, "unkline");
 		return 0;
 	}
 
@@ -463,7 +446,7 @@
 	nonwild = 0;
 	p = user;
 
-	while ((tmpch = *p++))
+	while((tmpch = *p++))
 	{
 		if(!IsKWildChar(tmpch))
 		{
@@ -477,7 +460,7 @@
 	{
 		/* user doesnt, try host */
 		p = host;
-		while ((tmpch = *p++))
+		while((tmpch = *p++))
 		{
 			if(!IsKWildChar(tmpch))
 				if(++nonwild >= ConfigFileEntry.min_nonwildcard)
@@ -498,8 +481,7 @@
  * side effects -
  */
 static int
-invalid_gline(struct Client *source_p, const char *luser,
-	      const char *lhost, char *lreason)
+invalid_gline(struct Client *source_p, const char *luser, const char *lhost, char *lreason)
 {
 	if(strchr(luser, '!'))
 	{
@@ -523,8 +505,7 @@
  * side effects	-
  */
 static void
-set_local_gline(struct Client *source_p, const char *user,
-		const char *host, const char *reason)
+set_local_gline(struct Client *source_p, const char *user, const char *host, const char *reason)
 {
 	char buffer[IRCD_BUFSIZE];
 	struct ConfItem *aconf;
@@ -541,7 +522,7 @@
 	aconf->flags |= CONF_FLAGS_TEMPORARY;
 
 	if(strlen(my_reason) > REASONLEN)
-		my_reason[REASONLEN-1] = '\0';
+		my_reason[REASONLEN - 1] = '\0';
 
 	if((oper_reason = strchr(my_reason, '|')) != NULL)
 	{
@@ -563,8 +544,7 @@
 	sendto_realops_flags(UMODE_ALL, L_ALL,
 			     "%s!%s@%s on %s has triggered gline for [%s@%s] [%s]",
 			     source_p->name, source_p->username,
-			     source_p->host, source_p->user->server,
-			     user, host, reason);
+			     source_p->host, source_p->user->server, user, host, reason);
 	ilog(L_GLINE, "T %s %s %s %s %s %s %s",
 	     source_p->name, source_p->username, source_p->host, 
 	     source_p->user->server, user, host, reason);
@@ -579,8 +559,7 @@
  * side effects -
  */
 static int
-majority_gline(struct Client *source_p, const char *user,
-	       const char *host, const char *reason)
+majority_gline(struct Client *source_p, const char *user, const char *host, const char *reason)
 {
 	dlink_node *pending_node;
 	struct gline_pending *pending;
@@ -596,8 +575,7 @@
 	{
 		pending = pending_node->data;
 
-		if((irccmp(pending->user, user) == 0) &&
-		   (irccmp(pending->host, host) == 0))
+		if((irccmp(pending->user, user) == 0) && (irccmp(pending->host, host) == 0))
 		{
 			/* check oper or server hasnt already voted */
 			if(((irccmp(pending->oper_user1, source_p->username) == 0) ||
@@ -630,8 +608,7 @@
 				}
 
 				/* trigger the gline using the original reason --fl */
-				set_local_gline(source_p, user, host,
-						pending->reason1);
+				set_local_gline(source_p, user, host, pending->reason1);
 
 				cleanup_glines();
 				return YES;
@@ -654,15 +631,11 @@
 	}
 
 	/* no pending gline, create a new one */
-	pending = (struct gline_pending *) 
-			    MyMalloc(sizeof(struct gline_pending));
+	pending = (struct gline_pending *) MyMalloc(sizeof(struct gline_pending));
 
-	strlcpy(pending->oper_nick1, source_p->name,
-		sizeof(pending->oper_nick1));
-	strlcpy(pending->oper_user1, source_p->username,
-		sizeof(pending->oper_user1));
-	strlcpy(pending->oper_host1, source_p->host,
-		sizeof(pending->oper_host1));
+	strlcpy(pending->oper_nick1, source_p->name, sizeof(pending->oper_nick1));
+	strlcpy(pending->oper_user1, source_p->username, sizeof(pending->oper_user1));
+	strlcpy(pending->oper_host1, source_p->host, sizeof(pending->oper_host1));
 
 	pending->oper_server1 = find_or_add(source_p->user->server);
 
@@ -693,19 +666,19 @@
 	struct irc_sockaddr_storage addr, caddr;
 	int bits, cbits;
 
-	parse_netmask(host, (struct sockaddr *)&addr, &bits);
+	parse_netmask(host, (struct sockaddr *) &addr, &bits);
 
 	DLINK_FOREACH(ptr, glines.head)
 	{
 		aconf = ptr->data;
 
-		parse_netmask(aconf->host, (struct sockaddr *)&caddr, &cbits);
+		parse_netmask(aconf->host, (struct sockaddr *) &caddr, &cbits);
 
 		if(user && irccmp(user, aconf->user))
 			continue;
 
 		if(!irccmp(aconf->host, host) && bits == cbits &&
-		   comp_with_mask_sock((struct sockaddr *)&addr, (struct sockaddr *)&caddr, bits))
+		   comp_with_mask_sock((struct sockaddr *) &addr, (struct sockaddr *) &caddr, bits))
 		{
 			dlinkDestroy(ptr, &glines);
 			delete_one_address_conf(aconf->host, aconf);
Index: modules/m_help.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_help.c,v
retrieving revision 1.67
diff -b -u -r1.67 m_help.c
--- modules/m_help.c	15 Mar 2004 17:58:03 -0000	1.67
+++ modules/m_help.c	19 Aug 2004 22:16:18 -0000
@@ -52,6 +52,7 @@
 };
 
 mapi_clist_av1 help_clist[] = { &help_msgtab, &uhelp_msgtab, NULL };
+
 DECLARE_MODULE_AV1(help, NULL, NULL, help_clist, NULL, NULL, "$Revision: 1.67 $");
 
 /*
@@ -67,8 +68,7 @@
 	if((last_used + ConfigFileEntry.pace_wait_simple) > CurrentTime)
 	{
 		/* safe enough to give this on a local connect only */
-		sendto_one(source_p, form_str(RPL_LOAD2HI), 
-			   me.name, source_p->name, "HELP");
+		sendto_one(source_p, form_str(RPL_LOAD2HI), me.name, source_p->name, "HELP");
 		sendto_one(source_p, form_str(RPL_ENDOFHELP),
 			   me.name, source_p->name,
 			   (parc > 1 && !EmptyString(parv[1])) ? parv[1] : "index");
@@ -123,8 +123,7 @@
 
 	if(hptr == NULL)
 	{
-		sendto_one(source_p, form_str(ERR_HELPNOTFOUND),
-			   me.name, source_p->name, topic);
+		sendto_one(source_p, form_str(ERR_HELPNOTFOUND), me.name, source_p->name, topic);
 		return;
 	}
 
@@ -143,7 +142,6 @@
 			   me.name, source_p->name, topic, lineptr->data);
 	}
 
-	sendto_one(source_p, form_str(RPL_ENDOFHELP),
-		   me.name, source_p->name, topic);
+	sendto_one(source_p, form_str(RPL_ENDOFHELP), me.name, source_p->name, topic);
 	return;
 }
Index: modules/m_info.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_info.c,v
retrieving revision 1.109.2.1
diff -b -u -r1.109.2.1 m_info.c
--- modules/m_info.c	4 Aug 2004 00:21:11 -0000	1.109.2.1
+++ modules/m_info.c	19 Aug 2004 22:16:19 -0000
@@ -59,8 +59,8 @@
 
 mapi_clist_av1 info_clist[] = { &info_msgtab, NULL };
 mapi_hlist_av1 info_hlist[] = {
-	{ "doing_info",		&doing_info_hook },
-	{ NULL, NULL }
+	{"doing_info", &doing_info_hook},
+	{NULL, NULL}
 };
 
 DECLARE_MODULE_AV1(info, NULL, NULL, info_clist, info_hlist, NULL, "$Revision: 1.109.2.1 $");
@@ -588,8 +588,7 @@
 	if((last_used + ConfigFileEntry.pace_wait) > CurrentTime)
 	{
 		/* safe enough to give this on a local connect only */
-		sendto_one(source_p, form_str(RPL_LOAD2HI),
-			   me.name, source_p->name, "INFO");
+		sendto_one(source_p, form_str(RPL_LOAD2HI), me.name, source_p->name, "INFO");
 		sendto_one_numeric(source_p, RPL_ENDOFINFO, form_str(RPL_ENDOFINFO));
 		return 0;
 	}
@@ -645,7 +644,7 @@
 {
 	const char **text = infotext;
 
-	while (*text)
+	while(*text)
 	{
 		sendto_one_numeric(source_p, RPL_INFO, form_str(RPL_INFO), *text++);
 	}
@@ -689,30 +688,28 @@
 	 * Now send them a list of all our configuration options
 	 * (mostly from config.h)
 	 */
-	for (infoptr = MyInformation; infoptr->name; infoptr++)
+	for(infoptr = MyInformation; infoptr->name; infoptr++)
 	{
 		if(infoptr->intvalue)
 		{
 			sendto_one(source_p, ":%s %d %s :%-30s %-5d [%-30s]",
 				   get_id(&me, source_p), RPL_INFO,
 				   get_id(source_p, source_p),
-				   infoptr->name, infoptr->intvalue, 
-				   infoptr->desc);
+				   infoptr->name, infoptr->intvalue, infoptr->desc);
 		}
 		else
 		{
 			sendto_one(source_p, ":%s %d %s :%-30s %-5s [%-30s]",
 				   get_id(&me, source_p), RPL_INFO,
 				   get_id(source_p, source_p),
-				   infoptr->name, infoptr->strvalue, 
-				   infoptr->desc);
+				   infoptr->name, infoptr->strvalue, infoptr->desc);
 		}
 	}
 
 	/*
 	 * Parse the info_table[] and do the magic.
 	 */
-	for (i = 0; info_table[i].name; i++)
+	for(i = 0; info_table[i].name; i++)
 	{
 		switch (info_table[i].output_type)
 		{
Index: modules/m_invite.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/Attic/m_invite.c,v
retrieving revision 1.81
diff -b -u -r1.81 m_invite.c
--- modules/m_invite.c	20 Mar 2004 01:31:14 -0000	1.81
+++ modules/m_invite.c	19 Aug 2004 22:16:19 -0000
@@ -48,6 +48,7 @@
 	{mg_unreg, {m_invite, 3}, {m_invite, 3}, mg_ignore, mg_ignore, {m_invite, 3}}
 };
 mapi_clist_av1 invite_clist[] = { &invite_msgtab, NULL };
+
 DECLARE_MODULE_AV1(invite, NULL, NULL, invite_clist, NULL, NULL, "$Revision: 1.81 $");
 
 static void add_invite(struct Channel *, struct Client *);
@@ -71,16 +72,13 @@
 	if((target_p = find_person(parv[1])) == NULL)
 	{
 		sendto_one_numeric(source_p, ERR_NOSUCHNICK, 
-				   form_str(ERR_NOSUCHNICK), 
-				   IsDigit(parv[1][0]) ? "*" : parv[1]);
+				   form_str(ERR_NOSUCHNICK), IsDigit(parv[1][0]) ? "*" : parv[1]);
 		return 0;
 	}
 
 	if(check_channel_name(parv[2]) == 0)
 	{
-		sendto_one_numeric(source_p, ERR_BADCHANNAME,
-				   form_str(ERR_BADCHANNAME),
-				   parv[2]);
+		sendto_one_numeric(source_p, ERR_BADCHANNAME, form_str(ERR_BADCHANNAME), parv[2]);
 		return 0;
 	}
 
@@ -97,8 +95,7 @@
 	 */
 	if(parv[2][0] == '&' && !MyConnect(target_p))
 	{
-		sendto_one(source_p, form_str(ERR_USERNOTONSERV),
-			   me.name, source_p->name, parv[1]);
+		sendto_one(source_p, form_str(ERR_USERNOTONSERV), me.name, source_p->name, parv[1]);
 		return 0;
 	}
 
@@ -112,8 +109,7 @@
 	msptr = find_channel_membership(chptr, source_p);
 	if(MyClient(source_p) && (msptr == NULL))
 	{
-		sendto_one_numeric(source_p, ERR_NOTONCHANNEL,
-				   form_str(ERR_NOTONCHANNEL), parv[2]);
+		sendto_one_numeric(source_p, ERR_NOTONCHANNEL, form_str(ERR_NOTONCHANNEL), parv[2]);
 		return 0;
 	}
 
@@ -141,8 +137,7 @@
 	if(MyConnect(source_p))
 	{
 		sendto_one(source_p, form_str(RPL_INVITING), 
-			   me.name, source_p->name,
-			   target_p->name, parv[2]);
+			   me.name, source_p->name, target_p->name, parv[2]);
 		if(target_p->user->away)
 			sendto_one_numeric(source_p, RPL_AWAY, form_str(RPL_AWAY),
 					   target_p->name, target_p->user->away);
@@ -159,8 +154,7 @@
 	}
 	else if(target_p->from != client_p)
 	{
-		sendto_one_prefix(target_p, source_p, "INVITE", ":%s",
-				  chptr->chname);
+		sendto_one_prefix(target_p, source_p, "INVITE", ":%s", chptr->chname);
 	}
 
 	return 0;
@@ -185,8 +179,7 @@
 	}
 
 	/* ok, if their invite list is too long, remove the tail */
-	if((int)dlink_list_length(&who->user->invited) >= 
-	   ConfigChannel.max_chans_per_user)
+	if((int) dlink_list_length(&who->user->invited) >= ConfigChannel.max_chans_per_user)
 	{
 		ptr = who->user->invited.tail;
 		del_invite(ptr->data, who);
@@ -198,5 +191,3 @@
 	/* add channel to user invite list */
 	dlinkAddAlloc(chptr, &who->user->invited);
 }
-
-
Index: modules/m_kline.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_kline.c,v
retrieving revision 1.183.2.1
diff -b -u -r1.183.2.1 m_kline.c
--- modules/m_kline.c	3 Aug 2004 20:39:47 -0000	1.183.2.1
+++ modules/m_kline.c	19 Aug 2004 22:16:19 -0000
@@ -65,6 +65,7 @@
 };
 
 mapi_clist_av1 kline_clist[] = { &kline_msgtab, &unkline_msgtab, NULL };
+
 DECLARE_MODULE_AV1(kline, NULL, NULL, kline_clist, NULL, NULL, "$Revision: 1.183.2.1 $");
 
 /* Local function prototypes */
@@ -81,8 +82,7 @@
 			 const char *, const char *, const char *, int);
 static int already_placed_kline(struct Client *, const char *, const char *, int);
 
-static void handle_remote_unkline(struct Client *source_p, 
-			const char *user, const char *host);
+static void handle_remote_unkline(struct Client *source_p, const char *user, const char *host);
 static void remove_permkline_match(struct Client *, const char *, const char *);
 static int flush_write(struct Client *, FBFILE *, const char *, const char *);
 static int remove_temp_kline(const char *, const char *);
@@ -96,8 +96,7 @@
  *   parv[5] - reason
  */
 static int
-mo_kline(struct Client *client_p, struct Client *source_p,
-	 int parc, const char **parv)
+mo_kline(struct Client *client_p, struct Client *source_p, int parc, const char **parv)
 {
 	char def[] = "No Reason";
 	char user[USERLEN + 2];
@@ -113,8 +112,7 @@
 
 	if(!IsOperK(source_p))
 	{
-		sendto_one(source_p, form_str(ERR_NOPRIVS),
-			   me.name, source_p->name, "kline");
+		sendto_one(source_p, form_str(ERR_NOPRIVS), me.name, source_p->name, "kline");
 		return 0;
 	}
 
@@ -129,9 +127,9 @@
 
 	loc++;
 
-	if(parc >= loc+2 && !irccmp(parv[loc], "ON"))
+	if(parc >= loc + 2 && !irccmp(parv[loc], "ON"))
 	{
-		target_server = parv[loc+1];
+		target_server = parv[loc + 1];
 		loc += 2;
 	}
 
@@ -147,8 +145,7 @@
 	if(target_server != NULL)
 	{
 		propagate_generic(source_p, "KLINE", target_server, CAP_KLN,
-				"%d %s %s %s",
-				tkline_time, user, host, reason);
+				  "%d %s %s %s", tkline_time, user, host, reason);
 
 		/* If we are sending it somewhere that doesnt include us, stop */
 		if(!match(target_server, me.name))
@@ -157,12 +154,10 @@
 	/* if we have cluster servers, send it to them.. */
 	else if(dlink_list_length(&cluster_conf_list) > 0)
 		cluster_generic(source_p, "KLINE", SHARED_KLINE, CAP_KLN,
-				"%lu %s %s :%s",
-				tkline_time, user, host, reason);
+				"%lu %s %s :%s", tkline_time, user, host, reason);
 
 	if(!valid_user_host(source_p, user, host) || 
-	   !valid_wild_card(source_p, user, host) ||
-	   !valid_comment(source_p, reason))
+	   !valid_wild_card(source_p, user, host) || !valid_comment(source_p, reason))
 		return 0;
 
 	if(already_placed_kline(source_p, user, host, tkline_time))
@@ -230,8 +225,7 @@
 	int tkline_time = atoi(parv[2]);
 
 	propagate_generic(source_p, "KLINE", parv[1], CAP_KLN,
-			"%d %s %s %s",
-			tkline_time, parv[3], parv[4], parv[5]);
+			  "%d %s %s %s", tkline_time, parv[3], parv[4], parv[5]);
 
 	if(!match(parv[1], me.name))
 		return 0;
@@ -268,8 +262,7 @@
 		return;
 
 	if(!valid_user_host(source_p, user, host) ||
-	   !valid_wild_card(source_p, user, host) ||
-	   !valid_comment(source_p, reason))
+	   !valid_wild_card(source_p, user, host) || !valid_comment(source_p, reason))
 		return;
 
 	if(already_placed_kline(source_p, user, host, tkline_time))
@@ -295,8 +288,7 @@
 	current_date = smalldate();
 
 	if(tkline_time > 0)
-		apply_tkline(source_p, aconf, reason, oper_reason,
-				current_date, tkline_time);
+		apply_tkline(source_p, aconf, reason, oper_reason, current_date, tkline_time);
 	else
 		apply_kline(source_p, aconf, aconf->passwd, oper_reason, current_date);
 
@@ -331,8 +323,7 @@
 
 	if(!IsOperUnkline(source_p))
 	{
-		sendto_one(source_p, form_str(ERR_NOPRIVS),
-			   me.name, source_p->name, "unkline");
+		sendto_one(source_p, form_str(ERR_NOPRIVS), me.name, source_p->name, "unkline");
 		return 0;
 	}
 
@@ -360,8 +351,7 @@
 	/* possible remote kline.. */
 	if((parc > 3) && (irccmp(parv[2], "ON") == 0))
 	{
-		propagate_generic(source_p, "UNKLINE", parv[3], CAP_UNKLN,
-				"%s %s", user, host);
+		propagate_generic(source_p, "UNKLINE", parv[3], CAP_UNKLN, "%s %s", user, host);
 
 		if(match(parv[3], me.name) == 0)
 			return 0;
@@ -378,8 +368,7 @@
 		sendto_realops_flags(UMODE_ALL, L_ALL,
 				     "%s has removed the temporary K-Line for: [%s@%s]",
 				     get_oper_name(source_p), user, host);
-		ilog(L_KLINE, "UK %s %s %s",
-			get_oper_name(source_p), user, host);
+		ilog(L_KLINE, "UK %s %s %s", get_oper_name(source_p), user, host);
 		return 0;
 	}
 
@@ -399,8 +388,7 @@
 {
 	/* parv[0]  parv[1]        parv[2]  parv[3]
 	 * oper     target server  user     host    */
-	propagate_generic(source_p, "UNKLINE", parv[1], CAP_UNKLN,
-			"%s %s", parv[2], parv[3]);
+	propagate_generic(source_p, "UNKLINE", parv[1], CAP_UNKLN, "%s %s", parv[2], parv[3]);
 
 	if(!match(parv[1], me.name))
 		return 0;
@@ -433,15 +421,13 @@
 	if(remove_temp_kline(user, host))
 	{
 		sendto_one_notice(source_p,
-				":Un-klined [%s@%s] from temporary k-lines",
-				user, host);
+				  ":Un-klined [%s@%s] from temporary k-lines", user, host);
 
 		sendto_realops_flags(UMODE_ALL, L_ALL,
 				"%s has removed the temporary K-Line for: [%s@%s]",
 				get_oper_name(source_p), user, host);
 
-		ilog(L_KLINE, "UK %s %s %s",
-			get_oper_name(source_p), user, host);
+		ilog(L_KLINE, "UK %s %s %s", get_oper_name(source_p), user, host);
 		return;
 	}
 
@@ -485,8 +471,7 @@
 				     get_oper_name(source_p), tkline_time / 60,
 				     aconf->user, aconf->host, reason);
 		ilog(L_KLINE, "K %s %d %s %s %s",
-			get_oper_name(source_p), tkline_time / 60,
-			aconf->user, aconf->host, reason);
+		     get_oper_name(source_p), tkline_time / 60, aconf->user, aconf->host, reason);
 	}
 	else
 	{
@@ -578,7 +563,7 @@
 
 	/* check there are enough non wildcard chars */
 	p = luser;
-	while ((tmpch = *p++))
+	while((tmpch = *p++))
 	{
 		if(!IsKWildChar(tmpch))
 		{
@@ -590,7 +575,7 @@
 
 	/* try host, as user didnt contain enough */
 	p = lhost;
-	while ((tmpch = *p++))
+	while((tmpch = *p++))
 	{
 		if(!IsKWildChar(tmpch))
 			if(++nonwild >= ConfigFileEntry.min_nonwildcard)
@@ -599,8 +584,7 @@
 
 	sendto_one_notice(source_p,
 		   	  ":Please include at least %d non-wildcard "
-			  "characters with the user@host",
-			  ConfigFileEntry.min_nonwildcard);
+			  "characters with the user@host", ConfigFileEntry.min_nonwildcard);
 	return 0;
 }
 
@@ -646,7 +630,7 @@
         int t;
 	if(ConfigFileEntry.non_redundant_klines)
 	{
-		if((t = parse_netmask(lhost, (struct sockaddr *)&iphost, NULL)) != HM_HOST)
+		if((t = parse_netmask(lhost, (struct sockaddr *) &iphost, NULL)) != HM_HOST)
 		{
 #ifdef IPV6
 			if(t == HM_IPV6)
@@ -660,7 +644,8 @@
 		else
 			piphost = NULL;
 
-		if((aconf = find_conf_by_address(lhost, (struct sockaddr *)piphost, CONF_KILL, t, luser)))
+		if((aconf =
+		    find_conf_by_address(lhost, (struct sockaddr *) piphost, CONF_KILL, t, luser)))
 		{
 			/* setting a tkline, or existing one is perm */
 			if(tkline || ((aconf->flags & CONF_FLAGS_TEMPORARY) == 0))
@@ -669,8 +654,7 @@
 
 				sendto_one_notice(source_p,
 						  ":[%s@%s] already K-Lined by [%s@%s] - %s",
-						  luser, lhost, aconf->user,
-						  aconf->host, reason);
+						  luser, lhost, aconf->user, aconf->host, reason);
 				return 1;
 			}
 		}
@@ -696,8 +680,7 @@
 	mode_t oldumask;
 	char *p;
 
-	ircsnprintf(temppath, sizeof(temppath),
-		 "%s.tmp", ConfigFileEntry.klinefile);
+	ircsnprintf(temppath, sizeof(temppath), "%s.tmp", ConfigFileEntry.klinefile);
 
 	filename = get_conf_name(KLINE_TYPE);
 
@@ -717,7 +700,7 @@
 	}
 	umask(oldumask);
 
-	while (fbgets(buf, sizeof(buf), in))
+	while(fbgets(buf, sizeof(buf), in))
 	{
 		char *found_host, *found_user;
 
@@ -771,8 +754,7 @@
 	}
 	else if(!pairme)
 	{
-		sendto_one_notice(source_p, ":No K-Line for %s@%s",
-				  user, host);
+		sendto_one_notice(source_p, ":No K-Line for %s@%s", user, host);
 
 		if(temppath != NULL)
 			(void) unlink(temppath);
@@ -783,15 +765,13 @@
 	(void) rename(temppath, filename);
 	rehash(0);
 
-	sendto_one_notice(source_p, ":K-Line for [%s@%s] is removed",
-			  user, host);
+	sendto_one_notice(source_p, ":K-Line for [%s@%s] is removed", user, host);
 
 	sendto_realops_flags(UMODE_ALL, L_ALL,
 			     "%s has removed the K-Line for: [%s@%s]",
 			     get_oper_name(source_p), user, host);
 
-	ilog(L_KLINE, "UK %s %s %s",
-		get_oper_name(source_p), user, host);
+	ilog(L_KLINE, "UK %s %s %s", get_oper_name(source_p), user, host);
 	return;
 }
 
@@ -824,8 +804,7 @@
 
 	if(error_on_write)
 	{
-		sendto_one_notice(source_p, ":Unable to write to %s",
-				  temppath);
+		sendto_one_notice(source_p, ":Unable to write to %s", temppath);
 		fbclose(out);
 		if(temppath != NULL)
 			(void) unlink(temppath);
@@ -857,9 +836,9 @@
 	int bits, cbits;
 	int i;
 
-	parse_netmask(host, (struct sockaddr *)&addr, &bits);
+	parse_netmask(host, (struct sockaddr *) &addr, &bits);
 
-	for (i = 0; tkline_list[i] != NULL; i++)
+	for(i = 0; tkline_list[i] != NULL; i++)
 	{
 		tklist = tkline_list[i];
 
@@ -867,14 +846,16 @@
 		{
 			aconf = ptr->data;
 
-			parse_netmask(aconf->host, (struct sockaddr *)&caddr, &cbits);
+			parse_netmask(aconf->host, (struct sockaddr *) &caddr, &cbits);
 
 			if(user && irccmp(user, aconf->user))
 				continue;
 
 			if(!irccmp(aconf->host, host) || (bits == cbits
-							  && comp_with_mask_sock((struct sockaddr *)&addr,
-									    (struct sockaddr *)&caddr, bits)))
+							  && comp_with_mask_sock((struct sockaddr *)
+										 &addr,
+										 (struct sockaddr *)
+										 &caddr, bits)))
 			{
 				dlinkDestroy(ptr, tklist);
 				delete_one_address_conf(aconf->host, aconf);
Index: modules/m_knock.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_knock.c,v
retrieving revision 1.88
diff -b -u -r1.88 m_knock.c
--- modules/m_knock.c	15 Mar 2004 17:58:03 -0000	1.88
+++ modules/m_knock.c	19 Aug 2004 22:16:19 -0000
@@ -47,6 +47,7 @@
 };
 
 mapi_clist_av1 knock_clist[] = { &knock_msgtab, NULL };
+
 DECLARE_MODULE_AV1(knock, NULL, NULL, knock_clist, NULL, NULL, "$Revision: 1.88 $");
 
 /* m_knock
@@ -71,8 +72,7 @@
 
 	if(MyClient(source_p) && ConfigChannel.use_knock == 0)
 	{
-		sendto_one(source_p, form_str(ERR_KNOCKDISABLED),
-			   me.name, source_p->name);
+		sendto_one(source_p, form_str(ERR_KNOCKDISABLED), me.name, source_p->name);
 		return 0;
 	}
 
@@ -84,15 +84,13 @@
 
 	if(!IsChannelName(name))
 	{
-		sendto_one_numeric(source_p, ERR_NOSUCHCHANNEL,
-				   form_str(ERR_NOSUCHCHANNEL), name);
+		sendto_one_numeric(source_p, ERR_NOSUCHCHANNEL, form_str(ERR_NOSUCHCHANNEL), name);
 		return 0;
 	}
 
 	if((chptr = find_channel(name)) == NULL)
 	{
-		sendto_one_numeric(source_p, ERR_NOSUCHCHANNEL,
-				   form_str(ERR_NOSUCHCHANNEL), name);
+		sendto_one_numeric(source_p, ERR_NOSUCHCHANNEL, form_str(ERR_NOSUCHCHANNEL), name);
 		return 0;
 	}
 
@@ -106,10 +104,9 @@
 
 	if(!((chptr->mode.mode & MODE_INVITEONLY) || (*chptr->mode.key) || 
 	     (chptr->mode.limit && 
-	      dlink_list_length(&chptr->members) >= (unsigned long)chptr->mode.limit)))
+	      dlink_list_length(&chptr->members) >= (unsigned long) chptr->mode.limit)))
 	{
-		sendto_one_numeric(source_p, ERR_CHANOPEN,
-				   form_str(ERR_CHANOPEN), name);
+		sendto_one_numeric(source_p, ERR_CHANOPEN, form_str(ERR_CHANOPEN), name);
 		return 0;
 	}
 
@@ -153,21 +150,18 @@
 		/* ok, we actually can send the knock, tell client */
 		source_p->localClient->last_knock = CurrentTime;
 
-		sendto_one(source_p, form_str(RPL_KNOCKDLVR),
-			   me.name, source_p->name, name);
+		sendto_one(source_p, form_str(RPL_KNOCKDLVR), me.name, source_p->name, name);
 	}
 
 	chptr->last_knock = CurrentTime;
 
 	if(ConfigChannel.use_knock)
-		sendto_channel_local(ONLY_CHANOPS, chptr, form_str(RPL_KNOCK),
+		sendto_channel_local(ONLY_CHANOPSHALFOPS, chptr, form_str(RPL_KNOCK),
 				     me.name, name, name, source_p->name,
 				     source_p->username, source_p->host);
 
-	sendto_server(client_p, chptr, CAP_KNOCK|CAP_TS6, NOCAPS,
+	sendto_server(client_p, chptr, CAP_KNOCK | CAP_TS6, NOCAPS,
 		      ":%s KNOCK %s", use_id(source_p), name);
-	sendto_server(client_p, chptr, CAP_KNOCK, CAP_TS6,
-		      ":%s KNOCK %s", source_p->name, name);
+	sendto_server(client_p, chptr, CAP_KNOCK, CAP_TS6, ":%s KNOCK %s", source_p->name, name);
 	return 0;
 }
-
Index: modules/m_links.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_links.c,v
retrieving revision 1.64
diff -b -u -r1.64 m_links.c
--- modules/m_links.c	8 Jul 2004 17:36:55 -0000	1.64
+++ modules/m_links.c	19 Aug 2004 22:16:20 -0000
@@ -50,8 +50,8 @@
 
 mapi_clist_av1 links_clist[] = { &links_msgtab, NULL };
 mapi_hlist_av1 links_hlist[] = {
-	{ "doing_links",	&doing_links_hook },
-	{ NULL, NULL }
+	{"doing_links", &doing_links_hook},
+	{NULL, NULL}
 };
 
 DECLARE_MODULE_AV1(links, NULL, NULL, links_clist, links_hlist, NULL, "$Revision: 1.64 $");
@@ -145,12 +145,10 @@
 	DLINK_FOREACH(ptr, links_cache_list.head)
 	{
 		sendto_one(source_p, ":%s 364 %s %s",
-			   me.name, source_p->name, (const char *)ptr->data);
+			   me.name, source_p->name, (const char *) ptr->data);
 	}
 
-	sendto_one_numeric(source_p, RPL_LINKS, form_str(RPL_LINKS), 
-			   me.name, me.name, 0, me.info);
+	sendto_one_numeric(source_p, RPL_LINKS, form_str(RPL_LINKS), me.name, me.name, 0, me.info);
 
 	sendto_one_numeric(source_p, RPL_ENDOFLINKS, form_str(RPL_ENDOFLINKS), "*");
 }
-
